First, make sure that none of the open and closed issues is about the same issue as you are describing, and make sure to check the frequently asked questions in the README file.
Then, replace the parts of this template that are between <angle brackets> with the data relative to your issue.

**If you're reporting a bug, use the template below. Otherwise, delete this template and write your issue normally.**

## Context

Please select one:

- [ ] I use the docker image `ullaakut/cameradar`
- [ ] I use my own build of the docker image
- [ ] I use the pre-compiled binary
- [ ] I use my own build of the binary
- [ ] None of the above / I don't know

Please select one:

- [ ] I use a specific version: <version tag>
- [ ] I use the latest commit of the master branch
- [ ] I use the latest commit of the develop branch
- [ ] I use a forked version of the repository: <fork URL>
- [ ] I use a specific commit: <commit hash>

## Environment

My operating system:
- [ ] Windows
- [ ] OSX
- [ ] Linux
- [ ] Other

OS version:      <version>
OS architecture: <architecture>

## Issue

### What was expected?

<expected behavior>

### What happened?

<observed behavior>

### Logs

If your issue is with Cameradar's binary or docker image, please run it with `-l` to print logs, and paste them here:

```
<cameradar logs>
```
